trimmedCurve =newGeom_TrimmedCurve(curve, first, last);3031Handle(Geom_Surface) surface =BRep_Tool::Surface(face);3233Handle(Geom_Curve) projCurve =GeomProjLib::Project(trimmedCurve, surface);34353637/** 计算端点投影*/38/*@{*/39gp_Pnt pntFirst(0,0,0);40gp_Pnt pntLast(10,10,10);4142...
TKToolsDraw.lib TKTopAlgo.lib TKTopTest.lib TKTreeModel.lib TKV3d.lib TKVCAF.lib TKView.lib TKViewerTest.lib TKVInspector.lib TKVRML.lib TKXCAF.lib TKXDEDRAW.lib TKXDEIGES.lib TKXDESTEP.lib TKXMesh.lib TKXml.lib TKXmlL.lib TKXmlTObj.lib TKXmlXCAF.lib TKXSBase.lib TKXSDRAW.lib ...
DRAWEXE.lib TInspectorEXE.lib TKBin.lib TKBinL.lib TKBinTObj.lib TKBinXCAF.lib TKBO.lib TKBool.lib TKBRep.lib TKCAF.lib TKCDF.lib TKDCAF.lib TKDFBrowser.lib TKDraw.lib TKernel.lib TKFeat.lib TKFillet.lib TKG2d.lib TKG3d.lib TKGeomAlgo.lib TKGeomBase.lib TKHLR.lib TKIGES.lib ...
Handle(Geom_Plane) surf = Handle(Geom_Plane)::DownCast(BRep_Tool::Surface(F)); ???gp_Pln apln = surf-Pln(); ???gp_Dir dirF = apln.Axis().Direction(); ???if (dirF.IsNormal(gp_Dir(0.,0.,1.),Precision::Angular())) ???adraft.Add(F, gp_Dir(0.,0.,1.), 15.*PI180,...
? BRep_Tool类提供了处理BRep图形几何对象的一些方法;如果S是一个Solid,Shell,或Compound.返回为真; Standard_Boolean IsClosed(const TopoDS_Shape S) ; ? 返回在位置L处的几何表面: Handle_Geom_Surface Surface(const TopoDS_Face F,TopLoc_Location L) ; ? 返回面的几何表面,如果有一个位置可以是一个拷贝...
File "/home/dion/.config/blender/4.1/scripts/addons/blenderbim/tool/drawing.py", line 642, in import_annotations_in_group ifc_importer.create_generic_elements(elements) File "/home/dion/.config/blender/4.1/scripts/addons/blenderbim/bim/import_ifc.py", line 663, in create_generic_elements ...
#include <BRep_Tool.hxx> #include <BRepMesh.hxx> #include <BRepBuilderAPI_MakeEdge.hxx> #include <BRepBuilderAPI_MakeFace.hxx> //vtk lib #include <vtkSmartPointer.h> #include <vtkPoints.h> #include <vtkPolyData.h> #include <vtkCellArray.h> ...
#include <Geom_ToroidalSurface.hxx> #include <Geom_CylindricalSurface.hxx> #include <GCE2d_MakeSegment.hxx> #include <TopoDS.hxx> #include <TopExp.hxx> #include <TopExp_Explorer.hxx> #include <TColgp_Array1OfPnt2d.hxx> #include <BRepLib.hxx> #...
Geom_Plane @param point: gp_Pnt """ from OCC.Core.ProjLib import projlib_Project pl = plane.Pln() aa, bb = projlib_Project(pl, point).Coord() point = plane.Value(aa, bb) return point def wire_to_curve( wire, tolerance=TOLERANCE, order=GeomAbs_C2, max_segment=200, max_order=...
Handle(Geom_Plane) surf = Handle(Geom_Plane)::DownCast(BRep_Tool::Surface(F)); ???gp_Pln apln = surf-Pln(); ???gp_Dir dirF = apln.Axis().Direction(); ???if (dirF.IsNormal(gp_Dir(0.,0.,1.),Precision::Angular())) ???adraft.Add(F, gp_Dir(0.,0.,1.), 15.*PI180,...